package com.kingdee.eas.custom.esign;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ESignTemplateFileEntryFactory
{
    private ESignTemplateFileEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.esign.IESignTemplateFileEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignTemplateFileEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("BE4E89AB") ,com.kingdee.eas.custom.esign.IESignTemplateFileEntry.class);
    }
    
    public static com.kingdee.eas.custom.esign.IESignTemplateFileEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignTemplateFileEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("BE4E89AB") ,com.kingdee.eas.custom.esign.IESignTemplateFileEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.esign.IESignTemplateFileEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignTemplateFileEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("BE4E89AB"));
    }
    public static com.kingdee.eas.custom.esign.IESignTemplateFileEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignTemplateFileEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("BE4E89AB"));
    }
}